Debian Bug report logs - #629038
ghci available on sparc, should provide ghc-ghci

version graph

Package: ghc; Maintainer for ghc is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for ghc is src:ghc.

Reported by: Joachim Breitner <nomeata@debian.org>

Date: Fri, 3 Jun 2011 08:21:01 UTC

Severity: normal

Found in version ghc/7.0.3-1

Fixed in version ghc/7.0.3-2

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#629038; Package ghc. (Fri, 03 Jun 2011 08:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Fri, 03 Jun 2011 08:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ghci available on sparc, should provide ghc-ghci
Date: Fri, 03 Jun 2011 10:18:53 +0200
Package: ghc
Version: 7.0.3-1
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

it seems that ghci is available on sparc, but the ghc package does not
provide ghc-ghci. Sparc should be added to the list of arches in
debian/rules or, even better, the ghc-ghci substvar should be added iff
the ghci binary is available.

But we should postbone this change until after we got ghc-7 into testing
once.

Greetings,
Joachim


- -- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ghc depends on:
ii  gcc                       4:4.6.0-5      The GNU C compiler
ii  libbsd-dev                0.2.0-1        utility functions from BSD systems
ii  libc6                     2.13-4         Embedded GNU C Library: Shared lib
ii  libc6-dev                 2.13-4         Embedded GNU C Library: Developmen
ii  libffi-dev                3.0.9-4        Foreign Function Interface library
ii  libffi5                   3.0.9-4        Foreign Function Interface library
ii  libgmp-dev                2:5.0.1+dfsg-7 Multiprecision arithmetic library 
ii  libgmp10                  2:5.0.1+dfsg-7 Multiprecision arithmetic library
ii  libncurses5               5.9-1          shared libraries for terminal hand

ghc recommends no packages.

Versions of packages ghc suggests:
ii  ghc-doc                       7.0.3-1    Documentation for the Glasgow Hask
ii  ghc-prof                      7.0.3-1    Profiling libraries for the Glasgo
pn  haskell-doc                   <none>     (no description available)
ii  perl                          5.12.3-7   Larry Wall's Practical Extraction 

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3omO0ACgkQ9ijrk0dDIGx2BwCfcHJxShFTW1oGrtgwamL7oXjO
nucAn2hYBF5OCo3nv7yLB10YS1ryA3iK
=ivCo
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#629038; Package ghc. (Fri, 03 Jun 2011 22:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Fri, 03 Jun 2011 22:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 629038@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 629038@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#629038: ghci available on sparc, should provide ghc-ghci
Date: Sat, 04 Jun 2011 00:26:26 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Freitag, den 03.06.2011, 10:18 +0200 schrieb Joachim Breitner:
> it seems that ghci is available on sparc, but the ghc package does not
> provide ghc-ghci. Sparc should be added to the list of arches in
> debian/rules or, even better, the ghc-ghci substvar should be added iff
> the ghci binary is available.
> 
> But we should postbone this change until after we got ghc-7 into testing
> once.

same for powerpc.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Fri, 17 Jun 2011 15:39:03 GMT) Full text and rfc822 format available.

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Sat, 18 Jun 2011 22:21:07 GMT) Full text and rfc822 format available.

Notification sent to Joachim Breitner <nomeata@debian.org>:
Bug acknowledged by developer. (Sat, 18 Jun 2011 22:21:08 GMT) Full text and rfc822 format available.

Message #17 received at 629038-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 629038-close@bugs.debian.org
Subject: Bug#629038: fixed in ghc 7.0.3-2
Date: Sat, 18 Jun 2011 22:18:35 +0000
Source: ghc
Source-Version: 7.0.3-2

We believe that the bug you reported is fixed in the latest version of
ghc, which is due to be installed in the Debian FTP archive:

ghc-doc_7.0.3-2_all.deb
  to main/g/ghc/ghc-doc_7.0.3-2_all.deb
ghc-dynamic_7.0.3-2_amd64.deb
  to main/g/ghc/ghc-dynamic_7.0.3-2_amd64.deb
ghc-haddock_7.0.3-2_amd64.deb
  to main/g/ghc/ghc-haddock_7.0.3-2_amd64.deb
ghc-prof_7.0.3-2_amd64.deb
  to main/g/ghc/ghc-prof_7.0.3-2_amd64.deb
ghc6-doc_7.0.3-2_all.deb
  to main/g/ghc/ghc6-doc_7.0.3-2_all.deb
ghc6-prof_7.0.3-2_all.deb
  to main/g/ghc/ghc6-prof_7.0.3-2_all.deb
ghc6_7.0.3-2_all.deb
  to main/g/ghc/ghc6_7.0.3-2_all.deb
ghc_7.0.3-2.debian.tar.gz
  to main/g/ghc/ghc_7.0.3-2.debian.tar.gz
ghc_7.0.3-2.dsc
  to main/g/ghc/ghc_7.0.3-2.dsc
ghc_7.0.3-2_amd64.deb
  to main/g/ghc/ghc_7.0.3-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 629038@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated ghc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 18 Jun 2011 21:07:06 +0200
Source: ghc
Binary: ghc ghc-prof ghc-doc ghc-dynamic ghc-haddock ghc6 ghc6-doc ghc6-prof
Architecture: source all amd64
Version: 7.0.3-2
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 ghc        - The Glasgow Haskell Compilation system
 ghc-doc    - Documentation for the Glasgow Haskell Compilation system
 ghc-dynamic - Dynamic libraries for the Glasgow Haskell Compilation system
 ghc-haddock - Documentation tool for annotated Haskell source code
 ghc-prof   - Profiling libraries for the Glasgow Haskell Compilation system
 ghc6       - transitional dummy package
 ghc6-doc   - transitional dummy package
 ghc6-prof  - transitional dummy package
Closes: 539312 629038
Changes: 
 ghc (7.0.3-2) unstable; urgency=low
 .
   * Mention correct haddock version in package description.
   * Install .haddock files under /usr/lib/ghc-doc/haddock, a path valid across
     ghc-versions. Also move them to the ghc-doc package.
   * In ghc-doc.prerm, do a better job of cleaning
     /usr/share/doc/ghc-doc/html/libraries of files generated when creating the
     haddock index.
   * Make Provides: ghc-ghci dependent on existence of ghci binary
     (Closes: #629038)
   * Make ghc-haddock depend on the exact version of ghc, just to be on the
     safe side. (Closes: #539312)
Checksums-Sha1: 
 ee4ac053aa8707a74d4162bce7176be93ddcdf0a 1357 ghc_7.0.3-2.dsc
 1ad614ea1b7ecfbc380861ad53dad931c69c61a7 61902 ghc_7.0.3-2.debian.tar.gz
 c59d5886b263134a43719d9591167d6ecce423d7 13146118 ghc-doc_7.0.3-2_all.deb
 ec9d6ad9887113c9c436c358a63cdf8e5ff15950 24342 ghc6_7.0.3-2_all.deb
 b8bd4037af06f8d559eeaa12e3a7f95eefa1ad63 24480 ghc6-doc_7.0.3-2_all.deb
 4a92d1608bd2dc12731256184f5ae77ce49c009e 24028 ghc6-prof_7.0.3-2_all.deb
 1fc7f55784279731cd72b5bc4d0d56c4bf29a52c 39545456 ghc_7.0.3-2_amd64.deb
 cb16aa7090cb7be8f61fd8ea049aa959e05a9a6c 41687150 ghc-prof_7.0.3-2_amd64.deb
 03308c11dfa7f54a2c0ca37ecd5226164b9a482c 18660940 ghc-dynamic_7.0.3-2_amd64.deb
 85574dcb0f7567c7a060bfe77473dc5eb294ea57 5632048 ghc-haddock_7.0.3-2_amd64.deb
Checksums-Sha256: 
 cb4a8480a34daa3fce69f23ee07dbe1154934e2dbfb1a4c21a3753468e4b474a 1357 ghc_7.0.3-2.dsc
 36c9fd38c57bcf6ba4f0c667f02355fa544328597051c16735d75916389dbf19 61902 ghc_7.0.3-2.debian.tar.gz
 f78f6c3e157da1e5d8a7649443bff90db80e75664b0fff90f049f8726729046c 13146118 ghc-doc_7.0.3-2_all.deb
 665cb8568e0aff1bc6bb29a9c10b5c423985784a39d51c6c081869947f95e0ba 24342 ghc6_7.0.3-2_all.deb
 65fd68d44a4b10576b5d0d68cb09c1eddaaba83d5ddad22ecab5200d9ddaa719 24480 ghc6-doc_7.0.3-2_all.deb
 08384ccb68ae9687d43f60247df691f48cdbf9613ed48a16e27dc1fdcbfffa5a 24028 ghc6-prof_7.0.3-2_all.deb
 1cdbad1d6ee7bb467e6a206905895d034e9f01d7bde4a44d3e4d15bb1e025e75 39545456 ghc_7.0.3-2_amd64.deb
 a6444a7f179a4eb4f7a65f1e941d6da5ed4248b3079c7bf667e419100f9370b9 41687150 ghc-prof_7.0.3-2_amd64.deb
 625048e41bf30b1be67e3913e7df004765107398b50be5b0eaff3347da640dfa 18660940 ghc-dynamic_7.0.3-2_amd64.deb
 cf11ca651922ae16f505babac01ec342db1338836981c119a3e644a5afaa6739 5632048 ghc-haddock_7.0.3-2_amd64.deb
Files: 
 b161581f010bc4079caffa89268e0920 1357 haskell extra ghc_7.0.3-2.dsc
 5cadc0ee915f9a54f4c848800333e3ef 61902 haskell extra ghc_7.0.3-2.debian.tar.gz
 b1491adc5817581132a48b9210414418 13146118 doc extra ghc-doc_7.0.3-2_all.deb
 0aca257c13860b116534c3084f43072d 24342 haskell extra ghc6_7.0.3-2_all.deb
 96b10cb91da96e34eb964b3d5ebc21ce 24480 doc extra ghc6-doc_7.0.3-2_all.deb
 ddf10a145fec964e1960b78a4a1daa34 24028 haskell extra ghc6-prof_7.0.3-2_all.deb
 53180117d57ead40e736528851035944 39545456 haskell extra ghc_7.0.3-2_amd64.deb
 5789befa80b9e433783056768499d8b5 41687150 haskell extra ghc-prof_7.0.3-2_amd64.deb
 ea64fbd79fd553ab9df4376dd3e52a01 18660940 haskell extra ghc-dynamic_7.0.3-2_amd64.deb
 7eca40c709f403b8a6274eed2556e35a 5632048 haskell extra ghc-haddock_7.0.3-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk39A/sACgkQ9ijrk0dDIGzPNQCdEVyViSBlYVaWl/Qh4Dkylg/U
LpEAnie1T9xhU0Yb0SR5LMCf4s3r9pLW
=iTZK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 03 Aug 2011 07:33:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:06:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.